Bug 169869 - 2.6.13-1.1526_FC4 generates memory allocation errors
2.6.13-1.1526_FC4 generates memory allocation errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 11:57 EDT by Need Real Name
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-10-04 11:57:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The latest kernel, 2.6.13-1.1526_FC4, generates the following
memory allocation error on booting...

Oct  3 11:21:48 xxxxx kernel:   MEM window: d0200000-d02fffff
Oct  3 11:21:48 xxxxx kernel:   PREFETCH window: disabled.
Oct  3 11:21:48 xxxxx kernel: PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:09:00.0

This problem doesn't occur with 2.6.12-1.1456_FC4smp on the same machine, a Sun dual Opteron workstation.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 on a Sun dual Opteron workstation
2. Yum update to latest kernel-smp-2.6.13-1.1526_FC4 rpms
3. Reboot under the new kernel and not memory allocation errors in messages log.
  

Actual Results:  Oct  3 11:21:48 xxxxx kernel:   MEM window: d0200000-d02fffff
Oct  3 11:21:48 xxxxx kernel:   PREFETCH window: disabled.
Oct  3 11:21:48 xxxxx kernel: PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:09:00.0

Expected Results:  No memory allocation errrors

Additional info:
Comment 1 Nunya Biz 2005-10-04 16:16:36 EDT
Same error on HP ZD 7168cl laptop
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:01:00.0
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: d1000000-d1ffffff
  PREFETCH window: e0000000-efffffff
Comment 2 Robert Swinford 2005-11-01 00:46:59 EST
Same annoying message on the ever popular Compal CL56 notebook.  I assume this
has to do with the changeover to generic PCI code in the 2.6.13 release.  No
useful way to suppress this either.

Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 11 devices
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Cannot allocate resource region 0 of device 0000:02:03.0
PCI: Bridge: 0000:00:01.0
  IO window: c000-dfff
  MEM window: e0000000-efffffff
  PREFETCH window: a0000000-afffffff
PCI: Bus 3, cardbus bridge: 0000:02:03.0
  IO window: 0000b000-0000bfff
  IO window: 00002000-00002fff
  PREFETCH window: 90000000-91ffffff
  MEM window: d2000000-d3ffffff
PCI: Bridge: 0000:00:1e.0
  IO window: a000-bfff
  MEM window: d0000000-dfffffff
  PREFETCH window: 90000000-9fffffff

It seems however to work fine later:

Yenta: CardBus bridge found at 0000:02:03.0 [14c0:0012]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:03.0, mfunc 0x001c1112, devctl 0x44
Yenta: ISA IRQ mask 0x0000, PCI irq 10
Socket status: 30000006
pcmcia: parent PCI bridge I/O window: 0xa000 - 0xbfff
cs: IO port probe 0xa000-0xbfff: clean.
pcmcia: parent PCI bridge Memory window: 0xd0000000 - 0xdfffffff
pcmcia: parent PCI bridge Memory window: 0x90000000 - 0x9fffffff
Comment 3 Dave Jones 2005-11-10 14:51:08 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 00:45:30 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 21:39:39 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.